Analyze custom domain DNS
Inspects DNS records, Cloudflare ownership, SSL status, and Domain Connect availability for a custom domain. Returns analysis with CNAME target, verification status, and setup instructions. Requires a paid plan.
POST
/status-pages/{id}/custom-domain/analyze
Inspects DNS records, Cloudflare ownership, SSL status, and Domain Connect availability for a custom domain. Returns analysis with CNAME target, verification status, and setup instructions. Requires a paid plan.
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Request Body required
application/jsondomain
string
REQUIRED
Custom domain hostname (e.g. status.yourdomain.com)
Responses
200
DNS analysis result
No response body
403
Plan upgrade required
curl -X POST 'https://happyuptime.com/api/v1/status-pages/string/custom-domain/analyze' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "domain": "string"}'
const response = await fetch('https://happyuptime.com/api/v1/status-pages/string/custom-domain/analyze', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "domain": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://happyuptime.com/api/v1/status-pages/string/custom-domain/analyze', headers=headers, json={ "domain": "string"})print(response.json())
403
Response
{ "error": { "code": "not_found", "message": "Monitor not found", "status": 404 }}
API Playground
Try this endpoint
POST
/status-pages/{id}/custom-domain/analyze